------------------------------------------------------------------------------------
--Name:  	juqing6
--Creator:	由剧情表现脚本编辑器生成
--Created:	2025-05-06
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(135, 132)
CppScriptMgr:SetViewScale(200)
local npc_0 = CppScriptMgr:AddSimplePlayer(1065180, 131, 122, "", 0, 0)
npc_0:WalkTo(131, 142)
npc_0:Say("Unbelievable! This isn`t just a park. It`s a human civilization masterpiece!", 2500)
local npc_1 = CppScriptMgr:AddSimplePlayer(1060180, 138, 120, "", 0, 0)
npc_1:WalkTo(138, 140)
local npc_2 = CppScriptMgr:AddSimplePlayer(1065250, 135, 122, "", 0, 0)
npc_2:WalkTo(133, 142)
local npc_3 = CppScriptMgr:AddSimplePlayer(1063154, 135, 153, "", 0, 0)
npc_3:SetDir(4)
npc_3:WalkTo(136, 112)
local npc_5 = CppScriptMgr:AddSimplePlayer(1060230, 131, 130, "", 0, 0)
npc_5:WalkTo(131, 150)
local npc_6 = CppScriptMgr:AddSimplePlayer(1065184, 139, 140, "", 0, 0)
npc_6:WalkTo(139, 120)
npc_6:SetDir(4)
local npc_4 = CppScriptMgr:AddSimplePlayer(1065230, 133, 118, "", 0, 0)
npc_4:WalkTo(133, 142)
local npc_7 = CppScriptMgr:AddSimplePlayer(1055334, 123, 142, "", 0, 0)
npc_7:WalkTo(129, 118)
npc_7:Say("I`ve been wanting to visit here forever!", 2500)
npc_7:SetDir(4)
local npc_8 = CppScriptMgr:AddSimplePlayer(1055354, 127, 139, "", 0, 0)
npc_8:WalkTo(129, 118)
npc_8:SetDir(4)
local npc_9 = CppScriptMgr:AddSimplePlayer(1055464, 149, 147, "", 0, 0)
npc_9:WalkTo(134, 114)
npc_9:Say("Loved it! Gonna tell all my friends about this place!", 5000)
npc_9:SetDir(4)
local npc_10 = CppScriptMgr:AddSimplePlayer(1055454, 144, 137, "", 0, 0)
npc_10:WalkTo(134, 114)
npc_10:SetDir(4)
local npc_11 = CppScriptMgr:AddSimplePlayer(1055450, 144, 128, "", 0, 0)
npc_11:SetDir(0)
npc_11:SetArmor(196185, 0, 1)
npc_11:SetHair(37, 1)
npc_11:SetZoomPercent(130)
npc_11:SetAction(101)
npc_11:Say("So many guests today!", 2500)
local npc_12 = CppScriptMgr:AddSimplePlayer(1055450, 128, 128, "", 0, 0)
npc_12:SetDir(0)
npc_12:SetArmor(196185, 0, 1)
npc_12:SetHair(37, 1)
npc_12:SetZoomPercent(130)
npc_12:SetAction(101)
local effect_0 = CppScriptMgr:AddEffect("dot_cha_lig", 137, 137, 33, 1, 1, 1)
effect_0:Scale(2, 2, 2)
local effect_2 = CppScriptMgr:AddEffect("Fruits_xhc", 124, 140, 33, 1, 1, 1)
effect_2:Scale(2, 2, 2)
local effect_3 = CppScriptMgr:AddEffect("Fruits_xhc", 149, 137, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1200)
npc_1:Say("Every structure here is rewriting theme park history!", 2500)
CppScriptMgr:WaitMilSec(740)
npc_4:Say("Every visit feels like a fresh healing moment.", 5000)
CppScriptMgr:WaitMilSec(60)
npc_3:Say("A perfect blend of fun and culture. Truly legendary!", 2500)
CppScriptMgr:WaitMilSec(640)
npc_10:Say("Fourth time this month! This park never bores me!", 5000)
CppScriptMgr:WaitMilSec(350)
npc_12:Say("With this crowd, security work just got serious!", 2500)
CppScriptMgr:WaitMilSec(840)
npc_5:Say("Never thought I`d live to see something this good!", 5000)
CppScriptMgr:WaitMilSec(2170)